Page MenuHomeFreeBSD

[ports] Update multimedia/libbluray, multimedia/libaacs, add multimedia/libbdplus
ClosedPublic

Authored by kami on Feb 2 2015, 1:36 PM.

Details

Summary

Common:

  • Unify some configure and install quirks in libbluray/Makefile.include
  • Update maintainer e-mail

libaacs:

libbdplus

  • New port 0.1.2

libbluray:

  • Update 0.5.0 to 0.7.0
  • Add libfontconfig.so dependency
  • Remove obsolete patch-util-refcnt.h
  • Add patch-src-Makefile.am
Test Plan

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

kami updated this revision to Diff 3587.Feb 2 2015, 1:36 PM
kami retitled this revision from to [ports] Update multimedia/libbluray, multimedia/libaacs, add multimedia/libbdplus.
kami updated this object.
kami edited the test plan for this revision. (Show Details)
kami added reviewers: koobs, cs.
kami set the repository for this revision to rP FreeBSD ports repository.
kami edited the test plan for this revision. (Show Details)
kami edited the test plan for this revision. (Show Details)Feb 3 2015, 10:16 AM
cs accepted this revision.Feb 8 2015, 8:39 PM
cs edited edge metadata.
  • Did you move the #endif on purpose down in src/file/mmc_device_linux.c ?
  • Please upload smaller batches of revisions next time. On port at a time.
This revision is now accepted and ready to land.Feb 8 2015, 8:39 PM
kami added a comment.Feb 9 2015, 12:06 PM
In D1754#6, @cs wrote:
  • Did you move the #endif on purpose down in src/file/mmc_device_linux.c ?

Yes, that #ifdef has a nesting problem, the upstream devs did not notice, because the #ifdef condition is met on all developers' boxes.

  • Please upload smaller batches of revisions next time. One port at a time.

How do I deal with the tight coupling of the ports?

Do I create separate commits for each of them? That would mean I split this into 3 commits, creating two inconsistent revisions.

kami closed this revision.Feb 21 2015, 8:48 PM
kami updated this revision to Diff 3898.

Closed by commit rP379549 (authored by @kami).